(* integer (flag) grid operations *)

open Bigarray

type t = (int, int_elt, c_layout) Array2.t

(* create a grid with given dimensions, initially zero *)
let make nx ny =
  let g = Array2.create int c_layout nx ny in
  for i = 0 to nx-1 do
    for j = 0 to ny-1 do
      g.{i,j} <- 0
  done done;
  g

